  .equ VIDEO_BEG, 0xC000
  .equ COLS,   48
  .equ ROWS,   255
  .equ bdos,   0x0005    ; bdos entry point
  .equ printf, 9         ; print buffer func
  .equ conin,  1         ; CONSOLE INPUT FUNCTION
  .equ conout, 2

  .section .text.boot
  .globl Start, _boot_end
Start:
  ld   sp, _stack
cycle:  
  ld   b,  ROWS
  ld   hl, image_data_00
  ld   de, VIDEO_BEG
  call copy_all
  ; konec
  call getchar
  call stop
;;;;;;;;;;;;;;;;;;;;;;;;;;
copy_all:
  ld   c, COLS
  call copy_row
  
  push hl
  ld   hl, 16
  add  hl, de
  ex   de, hl
  pop  hl
  
  dec  b
  ret  z
  jp   copy_all
copy_row:
  ld   a,(hl)
  ld   (de),a
  inc  de
  inc  hl
  dec  c
  ret  z
  jp   copy_row
;;;;;;;;;;;;;;;;;;;;;;;;;;
getchar:
  ld   c,conin
  call bdos
  ret
stop:
  xor  a
  ld   c,a
  jp   bdos
_boot_end:
;;;;;;;;;;;;;;;;;;;;;;;;;;
  .section .text.stack
  .globl _stack
  .ds.b 0x40
  .align 7
_stack:
